Page MenuHomePhabricator

Ownership request for SecurePoll
Closed, ResolvedPublic

Description

I would like to ask for ownership of the extension-SecurePoll project.

I have contributed a lot to this project recently, and know the source code very well. I would like to review the patches submitted by others to ensure that code quality and integrity is maintained at the highest level.

If it helps support my case, I would like to also point out that I am already the owner of another project (namely extension-RandomRootPage, which has been incorporated into MW core in version 1.28) and @RobLa-WMF seems to support my ownership here: T147875#2707021

gerrit links for project: mediawiki/extensions/SecurePoll user:Huji

Event Timeline

Huji created this task.Oct 12 2016, 3:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2016, 3:16 PM
Huji updated the task description. (Show Details)Oct 12 2016, 3:18 PM
Huji updated the task description. (Show Details)
Florian updated the task description. (Show Details)Oct 12 2016, 8:03 PM
Florian added a subscriber: Florian.

@Huji, thank you for stepping up! This particular area of code is going to deserve extra scrutiny during elections, so I'd like to ensure I'm not the only person looking at @Huji's request. I haven't looked at this area of code and haven't been involved in the Wikimedia election process for a couple of years, and there could be ramifications that I haven't fully considered. Thus, my support does come with that caveat. I love the idea of someone outside of WMF stepping up and assuming this responsibility.

Huji added a subscriber: aaron.Oct 13 2016, 12:44 AM

@RobLa-WMF Thanks for the note. I agree with you that this is a sensitive part of the code base. The reason I got interested in it was because we were planning to hold a SecurePoll-based election in FA WP (which was eventually successfully held last month). I noted several outstanding and unreported issues with the code during this process and therefore have been actively submitting tasks and patches.

Note that my intention here is not to +2 my own patches (after all, it is not a good idea to do so anyway) but rather, to help preserve the continuity and integrity of the development of this important extension. That being said, I am happy to wait until more people express their support here. I invite @aaron (who has reviewed most my patches) or @Jalexander (with whom I directly worked for the FA WP election) to weigh in as well.

Huji updated the task description. (Show Details)Oct 13 2016, 2:04 AM
Huji updated the task description. (Show Details)
Huji updated the task description. (Show Details)

This sounds good to me. Huji is a trusted user; he is a checkuser and has served on the Ombudsman commission for quite some time. Given his active interest in the project, I support this request.

This sounds good to me. Huji is a trusted user; he is a checkuser and has served on the Ombudsman commission for quite some time. Given his active interest in the project, I support this request.

This.

I love the idea of someone outside of WMF stepping up and assuming this responsibility.

I love the idea of anyone stepping up and assuming this responsibility. (:

Legoktm closed this task as Resolved.Oct 16 2016, 5:44 PM
Legoktm claimed this task.
Legoktm added a subscriber: Legoktm.

Done, congratulations :)

Please make sure to review https://www.mediawiki.org/wiki/Gerrit/%2B2.

Huji added a comment.Oct 16 2016, 7:28 PM

Thanks. I will.

aaron added a comment.Oct 17 2016, 2:40 AM

After the fact +1 from me.